Upgrade jQuery from 1.8.x to 1.11.x
Closed, ResolvedPublic

Description

There were a lot of changes in 1.9, so upgrading broke a lot of stuff..

Now 1.10 is out (hey, they're following our number sequencing), it sounds like it's going to get even worse: "Several APIs were deprecated in 1.9.0 and have now been removed."

I'm not sure if we should upgrade to 1.9 as an intermediatary, or just jump straight to 1.10, or something else.

Upgrade to jQuery 1.9.1 and the addition of jQuery Migrate are in https://gerrit.wikimedia.org/r/#/c/47844/


Version: 1.22.0
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=47076

bzimport set Reference to bz44740.
Reedy created this task.Via LegacyFeb 7 2013, 10:03 AM
Krinkle added a comment.Via ConduitApr 8 2013, 6:57 AM

Change-Id: Ia087bdbc7c120dd07134afcd9fc99a0accab7ab5

When I tried this locally I got several uncaught exceptions.

One of them highlighted here (consider this a blocker for upgrading to jquery 1.9):

Uncaught TypeError: Cannot read property 'style' of undefined
load.php:6946| curCSS
load.php:6895| jQuery.extend.css
load.php:7152| actualDisplay
load.php:7123| css_defaultDisplay
load.php:6704| showHide
load.php:6757| jQuery.fn.extend.show
load.php:9116| jQuery.each.jQuery.fn.(anonymous function)
jquery.ui.dialog.js:117| $.widget._create
jquery.ui.widget.js:168| $.Widget._createWidget
jquery.ui.widget.js:65 | $.(anonymous function).(anonymous function)
jquery.ui.widget.js:131| (anonymous function)
load.php:650| jQuery.extend.each
load.php:270| jQuery.fn.jQuery.each
jquery.ui.widget.js:126 | $.fn.(anonymous function)
mediawiki.feedback.js:138| mw.Feedback.setup
mediawiki.feedback.js:66 | mw.Feedback

Stack:

Looks like actualDisplay incorrectly assumes that .body is already initialised, as a result of the silently failed .appendTo() action the jquery collection is emptied and elem[0] is undefined and elem[0].style is illegal.

Aklapper added a comment.Via ConduitMay 29 2013, 12:11 PM
  • Bug 48895 has been marked as a duplicate of this bug. ***
Reedy added a comment.Via ConduitJul 26 2013, 1:01 AM

1.10.2 is the current older stable release.

We can't really go to 2.0.3 for a while due to "but does not support Internet Explorer 6, 7, or 8" - we'd need to get that support dropped from core MW.

Should be getting this upgrade done be a higher priority? At least with a mix of 1.10 and jQuery Migrate...

Krinkle added a comment.Via ConduitJul 26 2013, 1:16 AM

Even with Migrate, there are breaking changes between our current version and the version that migrate patches to.

Nothing we can't handle, but we need to:

  • Fix core and all extensions (at least the wmf-deployed ones, and leave release notes for others)
  • Announce on wikitech-ambassadors (and elsewhere) about these changes and give them a bit of time to check their stuff and fixup where needed.

I'd like to take that on, but if someone else can be assigned that's fine to (I can consult where needed). 'til now I've been too busy elsewhere.

Krinkle added a comment.Via ConduitApr 25 2014, 5:13 PM

1.10 to 1.11 is minor. No need for a separate bug.

Krinkle added a comment.Via ConduitApr 25 2014, 5:13 PM
  • Bug 64433 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitMay 8 2014, 11:52 PM

Change 131494 had a related patch set uploaded by Krinkle:
Add jQuery Migrate

https://gerrit.wikimedia.org/r/131494

gerritbot added a comment.Via ConduitMay 9 2014, 9:13 AM

Change 131494 merged by jenkins-bot:
Add jQuery Migrate

https://gerrit.wikimedia.org/r/131494

gerritbot added a comment.Via ConduitMay 13 2014, 3:38 PM

Change 133084 had a related patch set uploaded by Krinkle:
Add jQuery Migrate

https://gerrit.wikimedia.org/r/133084

gerritbot added a comment.Via ConduitMay 13 2014, 3:48 PM

Change 133084 merged by jenkins-bot:
Add jQuery Migrate

https://gerrit.wikimedia.org/r/133084

Krinkle added a comment.Via ConduitMay 16 2014, 9:54 AM

(O Gerrit Bot, Where Art Thou?)

Changed merged by jenkins-bot:
Upgrade jQuery to 1.11.1
Change-Id: I097c9639e366eb394dcf2f3c3c62edfcc974155c

Aklapper added a comment.Via ConduitMay 16 2014, 10:26 AM

(In reply to Krinkle from comment #12)

(O Gerrit Bot, Where Art Thou?)

bug 65370

Jdforrester-WMF added a comment.Via ConduitMay 16 2014, 3:10 PM

Related patch-set:

Remove jQuery.Migrate from default, moving to an optional module

https://gerrit.wikimedia.org/r/133719

Aklapper added a comment.Via ConduitMay 16 2014, 9:29 PM

I'm confused.
https://gerrit.wikimedia.org/r/#/c/133477/ "Upgrade jQuery to 1.11.1"

Aklapper added a comment.Via ConduitMay 16 2014, 9:29 PM

Garr, please ignore the last comment. Was already covered in comment 12.

gerritbot added a comment.Via ConduitMay 21 2014, 2:27 PM

Change 134607 had a related patch set uploaded by Krinkle:
Remove jQuery Migrate

https://gerrit.wikimedia.org/r/134607

gerritbot added a comment.Via ConduitMay 24 2014, 1:39 AM

Change 134607 abandoned by Krinkle:
Remove jQuery Migrate

Reason:
Closing in favour of If1c9ab722c7ce.

https://gerrit.wikimedia.org/r/134607

gerritbot added a comment.Via ConduitJun 3 2014, 5:47 PM

Change 137053 had a related patch set uploaded by Krinkle:
Set $wgIncludejQueryMigrate = true; for all wikis

https://gerrit.wikimedia.org/r/137053

gerritbot added a comment.Via ConduitJun 3 2014, 8:41 PM

Change 133719 merged by jenkins-bot:
Disable jQuery Migrate by default (enable via $wgIncludejQueryMigrate)

https://gerrit.wikimedia.org/r/133719

gerritbot added a comment.Via ConduitJun 3 2014, 11:05 PM

Change 137053 merged by jenkins-bot:
Set $wgIncludejQueryMigrate = true; for all wikis

https://gerrit.wikimedia.org/r/137053

gerritbot added a project: Patch-For-Review.Via ConduitDec 6 2014, 11:39 AM

Change 177981 had a related patch set uploaded (by PleaseStand):
RELEASE-NOTES-1.25: bug 44740 -> T46740

https://gerrit.wikimedia.org/r/177981

Patch-For-Review

gerritbot added a comment.Via ConduitDec 6 2014, 11:39 AM

Change 177981 had a related patch set uploaded (by PleaseStand):
RELEASE-NOTES-1.25: bug 44740 -> T46740

https://gerrit.wikimedia.org/r/177981

Patch-For-Review

gerritbot added a comment.Via ConduitDec 6 2014, 12:32 PM

Change 177981 merged by jenkins-bot:
RELEASE-NOTES-1.25: bug 44740 -> T46740

https://gerrit.wikimedia.org/r/177981

gerritbot added a comment.Via ConduitDec 6 2014, 12:32 PM

Change 177981 merged by jenkins-bot:
RELEASE-NOTES-1.25: bug 44740 -> T46740

https://gerrit.wikimedia.org/r/177981

RandomDSdevel awarded a token.Via WebDec 15 2014, 11:26 PM
Mattflaschen added a subscriber: Mattflaschen.EditedVia WebDec 19 2014, 8:52 PM

Note, the patch removing jQuery Migrate (and thus fully finalizing the upgrade) was c393f8747, merged on December 4.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.